* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: "Bookman Old Style", "Bookman", "URW Bookman L", Georgia, serif;
    background:linear-gradient(135deg,255,255,255);
    min-height:100vh;
    color:white;
    padding:40px;
}

h1{
    font-size:2.2rem;
    margin-bottom:10px;
}

.subtitle{
    color:#cbd5e1;
    margin-bottom:30px;
}

.container{
    display:flex;
    gap:25px;
}

.panel{
    flex:1;
    display:flex;
    flex-direction:column;
}

.panel-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:12px;
}

.panel-header h2{
    font-size:18px;
    font-weight:600;
}

.badge{
    background:#22c55e;
    color:white;
    padding:6px 12px;
    border-radius:50px;
    font-size:12px;
    font-weight:bold;
}

textarea{
    width:100%;
    height:80vh;
    resize:none;

    padding:20px;

    border:none;
    outline:none;

    border-radius:16px;

    background:rgba(255,255,255,.08);

    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);

    color:white;

    font-size:16px;

    line-height:1.6;

    box-shadow:0 10px 30px rgba(0,0,0,.35);
}

.preview{
    height:80vh;

    overflow-y:auto;

    background:rgba(255,255,255,.08);

    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);

    border-radius:16px;

    padding:35px;

    box-shadow:0 10px 30px rgba(0,0,0,.35);
}

textarea::placeholder{
    color:#dbdee2;
}

@media(max-width:900px){

.container{
    flex-direction:column;
}

textarea,
.preview{
    height:50vh;
}

}